Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Turn off wallet auto top-up
DELETE
/api/v1/billing/wallet/auto-topup
const url = 'https://api.pitch2sale.com/api/v1/billing/wallet/auto-topup';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.pitch2sale.com/api/v1/billing/wallet/auto-topup \ --header 'Authorization: Bearer <token>'Turns auto top-up off and cancels the mandate at Cashfree. Idempotent; a cancellation Cashfree cannot take right away is retried hourly. A charge already in progress still credits the wallet if it completes. Owners and admins only.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing; OAuth app tokens are not accepted on this route
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}